#ifndef __I2C_H__
#define __I2C_H__

#ifdef __cplusplus
extern "C" {
#endif 

#include "stm32f10x.h" 

#define SCL_H         GPIOB->BSRR = GPIO_Pin_8
#define SCL_L         GPIOB->BRR  = GPIO_Pin_8 

#define SDA_H         GPIOB->BSRR = GPIO_Pin_9
#define SDA_L         GPIOB->BRR  = GPIO_Pin_9 

#define SCL_read      GPIOB->IDR  & GPIO_Pin_8
#define SDA_read      GPIOB->IDR  & GPIO_Pin_9 

/*********************************************************************************************************************/

void I2C_InitGPIO(void);
int  I2C_WriteByte(uint8_t addr, uint8_t reg, uint8_t data);
int  I2C_WriteBuf(uint8_t addr, uint8_t reg, uint8_t *data, uint8_t size);
int  I2C_ReadByte(uint8_t addr, uint8_t reg, uint8_t* data);
int  I2C_ReadBuf(uint8_t addr,uint8_t reg, uint8_t* data, uint8_t size);


#ifdef __cplusplus
}
#endif 

#endif // __I2C_H__


